/*
/*==========================================================
 XV
===========================================================*/
CREATE or REPLACE PROCEDURE XV
	AS

	FLD_ROWID	ROWID;
	FLD_	VARCHAR2(4);
	FLD_i	VARCHAR2(4);
	FLD_	NUMBER;
	FLD_z	NUMBER;
	FLD_t	DATE;

	ERROR_FLG	NUMBER(1,0);

/*==========================================================
 J[\
===========================================================*/
CURSOR cur_main is
	select ROWID
		,R[h
		,iR[h
		,
		,z 
		,t 
	 from f[^
	 where t = '2005/08/02'
	 and XV is NULL;
 
BEGIN
/*==========================================================
 
===========================================================*/
DBMS_OUTPUT.PUT_LINE('XV START');
SAVEPOINT UPD_START;
ERROR_FLG := 0;


/*==========================================================
 又
===========================================================*/
OPEN cur_main;

LOOP
	FETCH cur_main INTO
		FLD_ROWID,
		FLD_,
		FLD_i,
		FLD_,
		FLD_z,
		FLD_t;
	if cur_main%NOTFOUND then
		EXIT;
	end if;


	UPDATE f[^
		SET "XV" = '1'
	WHERE	ROWID = FLD_ROWID;

END LOOP;

CLOSE cur_main;

/*==========================================================
 I
===========================================================*/
if ERROR_FLG != 0 then
	ROLLBACK TO UPD_START;
	DBMS_OUTPUT.PUT_LINE('ُI');
else
	DBMS_OUTPUT.PUT_LINE('I');
end if;

EXCEPTION
	WHEN OTHERS THEN
		DBMS_OUTPUT.PUT_LINE('O');
		ROLLBACK TO UPD_START;
END XV;

/
