' ******************************************************
' DBڑ(SQLServer)
' ******************************************************
Function SQS_DBConnect( _
	Connection, _
	Server, _
	DB, _
	User, _
	Pass _
)

	Dim ConnectionString

	ConnectionString = _
		"Provider=SQLOLEDB;" & _
		"Data Source=" & Server & ";" & _
		"Initial Catalog=" & DB & ";" & _
		"User ID=" & User & ";" & _
		"Password=" & Pass & ";"
	
	if IsEmpty( Connection ) then
		Set Connection = CreateObject( "ADODB.Connection" )
	end if

	on error resume next
	Connection.Open ConnectionString
	if Err.Number <> 0 then
		SQS_DBConnect = "ERROR:" & Err.Description
	else
		SQS_DBConnect = ""
	end if
	on error goto 0

End Function

' ******************************************************
' DBڑ(Excel)
' ******************************************************
Function XLS_DBConnect( _
	Connection, _
	File _
)

	Dim ConnectionString

	ConnectionString = _
		"Provider=Microsoft.Jet.OLEDB.4.0;" & _
		"Data Source=" & File & ";" & _
		"Extended Properties=""Excel 8.0;"""

	if IsEmpty( Connection ) then
		Set Connection = CreateObject( "ADODB.Connection" )
	end if

	Connection.Open ConnectionString

End Function

' ******************************************************
' DBڑ(MDB)
' ******************************************************
Function MDB_DBConnect( _
	Connection, _
	File _
)

	Dim ConnectionString

	ConnectionString = _
		"Provider=Microsoft.Jet.OLEDB.4.0;" & _
		"Data Source=" & File & ";"

	if IsEmpty( Connection ) then
		Set Connection = CreateObject( "ADODB.Connection" )
	end if

	Connection.Open ConnectionString

End Function

' ******************************************************
' DBڑ(ODBC)
' ******************************************************
Function ODBC_DBConnect( _
	Connection, _
	Dsn, _
	Uid, _
	Pwd _
)

	Dim ConnectionString

	ConnectionString = _
		"Provider=MSDASQL" & _
		";DSN=" & Dsn & _
		";UID=" & Uid & _ 
		";PWD=" & Pwd & _ 
		";" 

	if IsEmpty( Connection ) then
		Set Connection = CreateObject( "ADODB.Connection" )
	end if

	Connection.Open ConnectionString

End Function

' ******************************************************
' DBڑ(ODBC) f[^x[Xw
' ******************************************************
Function ODBC_DBConnect2( _
	Connection, _
	Dsn, _
	DB, _
	Uid, _
	Pwd _
)

	Dim ConnectionString

	ConnectionString = _
		"Provider=MSDASQL" & _
		";DSN=" & Dsn & _
		";DATABASE=" & DB & _
		";UID=" & Uid & _ 
		";PWD=" & Pwd & _ 
		";" 

	if IsEmpty( Connection ) then
		Set Connection = CreateObject( "ADODB.Connection" )
	end if

	Connection.Open ConnectionString

End Function

' ******************************************************
' DBI(ڑ)
' ******************************************************
Function DBClose( _
	CnRs _
)
	
	On Error Resume Next
	If CnRs.State >= 1 Then
		CnRs.Close
	End If
	On Error Goto 0

	DBClose = True

End Function

' ******************************************************
' DBǍ
' y߂lz: True(f[^L),False(f[^)
' ******************************************************
Function DBGet( _
	Connection, _
	Record, _
	SqlQuery, _
	bUpadateFlg _
)
	if IsEmpty( Record ) then
		Set Record = CreateObject( "ADODB.Recordset" )
	end if

	Dim ConstCheck

	' ĂȂ͕
	If Record.State >= 1 Then
		Record.Close
	End If

	' XVɎgpꍇ́AR[hPʂ̋LIbN
	If bUpadateFlg Then
		ConstCheck = adLockOptimistic
		if IsEmpty( ConstCheck ) then
			Record.LockType = 3
		else
			Record.LockType = adLockOptimistic
		end if
	else
		ConstCheck = adLockOptimistic
		if IsEmpty( ConstCheck ) then
			Record.LockType = 1
		else 
			Record.LockType = adLockReadOnly
		end if
	End If
	
	' R[hZbg쐬
	Record.Open SqlQuery, Connection
	If Record.State >= 1 Then
		If Record.EOF Then
			DBGet = False
		Else
			DBGet = True
		End If
	else
		DBGet = False
	end if

End Function
